Package twisted :: Package protocols :: Module postfix :: Class PostfixTCPMapDeferringDictServerFactory

[frames | no frames]

## Class PostfixTCPMapDeferringDictServerFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   PostfixTCPMapDeferringDictServerFactory

An in-memory dictionary factory for PostfixTCPMapServer.

Method Summary
| `__init__(self, data)`
| `get(self, key)`
Inherited from Factory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.protocols.postfix.PostfixTCPMapServer`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Generated by Epydoc 2.0 on Sat May 15 20:08:54 2004 | http://epydoc.sf.net